PETSc version 3.15.5
Fix/Edit manual page

# DMPlexGetSupportSize

Return the number of out-edges for this point in the DAG

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetSupportSize(DM dm, PetscInt p, PetscInt *size)

Not collective

### Input Parameters

| mesh | - The DMPlex
| p | - The point, which must lie in the chart set with DMPlexSetChart()

### Output Parameter

| size | - The support size for point p

### See Also

DMPlexCreate(), DMPlexSetConeSize(), DMPlexSetChart(), DMPlexGetConeSize()

### Level

beginner

### Location

src/dm/impls/plex/plex.c

### Examples

src/ts/tutorials/ex11.c.html
src/ts/tutorials/ex52.c.html
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages